﻿using System;
using System.Collections.Generic;

namespace NetConfIT2018.EF.Data
{
	public partial class Orders
	{
		private Customers _customer;
		private ICollection<OrderDetails> _orderDetails;

		public Orders()
		{
			OrderDetails = new HashSet<OrderDetails>();
		}

		private Orders(Action<object, string> lazyLoader)
		{
			LazyLoader = lazyLoader;
		}

		public int OrderId { get; set; }
		public string CustomerId { get; set; }
		public int? EmployeeId { get; set; }
		public DateTime? OrderDate { get; set; }
		public DateTime? RequiredDate { get; set; }
		public DateTime? ShippedDate { get; set; }
		public ShipVia? ShipVia { get; set; }
		public decimal? Freight { get; set; }
		public string ShipName { get; set; }
		public string ShipAddress { get; set; }
		public string ShipCity { get; set; }
		public string ShipRegion { get; set; }
		public string ShipPostalCode { get; set; }
		public string ShipCountry { get; set; }
		public ShipVia? ShipViaString { get; set; }

		public Customers Customer { get => LazyLoader.Load(this, ref _customer); set => _customer = value; }
		public ICollection<OrderDetails> OrderDetails { get => LazyLoader.Load(this, ref _orderDetails); set => _orderDetails = value; }
		private Action<object, string> LazyLoader { get; set; }
	}
}
